/**
 * 
 */
package edu.wisc.uwss.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * Root {@link Configuration} class that consuming applications should reference in their ApplicationInitizalizers.
 * 
 * ComponentScans all sub-configurations automatically. Each sub-configuration is enabled by turning on
 * Spring Profiles.
 * 
 * @author Nicholas Blair
 */
@Configuration
@ComponentScan(basePackages={
    "edu.wisc.uwss.configuration.local", 
    "edu.wisc.uwss.configuration.preauth" })
@Import(UWSpringSecurityWebConfigurerAdapter.class)
public class UWSpringSecurityConfiguration {

}
